Bug 1238385 - Review Request: mingw-qtspell - Spell checking for Qt text widgets
Summary: Review Request: mingw-qtspell - Spell checking for Qt text widgets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-01 18:28 UTC by Sandro Mani
Modified: 2016-08-11 02:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-10 23:23:45 UTC
projects.rg: fedora-review+


Attachments (Terms of Use)

Description Sandro Mani 2015-07-01 18:28:58 UTC
Spec URL: https://smani.fedorapeople.org/review/mingw-qtspell.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-qtspell-0.7.2-1.fc23.src.rpm
Description: Spell checking for Qt text widgets
Fedora Account System Username: smani

Comment 1 Raphael Groner 2016-07-20 15:52:45 UTC
I take this. Review swap with bug #1357064, as discussed.

But don't expect anything in the next days. Could do the official review later.

Some general hints found in prior of the official review run:

> %doc COPYING
Change to: %license COPYING


> URL:           https://github.com/manisandro/qtspell
> Source0:       https://github.com/manisandro/qtspell/releases/download/%{version}/%{pkgname}-%{version}.tar.xz

Could be simplified:
URL:           https://github.com/manisandro/%{pkgname}
Source0:       %{url}/releases/download/%{version}/%{pkgname}-%{version}.tar.xz

Although, our policy recommends to use an archive URL instead. I've never seen such with release so far. But maybe you prefer to use the xz tarball over gz.
https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Git_Tags


Qt4 development is stalled since some monthes, in favor of Qt5. We should generally think about still packaging for Qt4. Maybe skip the qt4 subpackage.

Comment 2 Raphael Groner 2016-07-20 15:54:44 UTC
Version 0.8.1 is available.

Comment 3 Sandro Mani 2016-07-20 16:37:48 UTC
I'll keep the qt4 subpackage for the moment for consistency with the native qtspell package. I'll probably deprecate qt4 support upstream soonish and then follow up here. At that time I'll also switch to just using the archive tarballs (at the time, github URLs were so annoyingly unstable that I simply uploaded the source tarball manually...)


Spec URL: https://smani.fedorapeople.org/review/mingw-qtspell.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-qtspell-0.8.1-2.fc25.src.rpm

%changelog
* Wed Jul 20 2016 Sandro Mani <manisandro@gmail.com> - 0.8.1-2
- Use %%license
- Use build subdirs instead of copying the entire source tree

* Mon Nov 16 2015 Sandro Mani <manisandro@gmail.com> - 0.8.1-1
- QtSpell 0.8.1

Comment 4 Raphael Groner 2016-07-26 16:25:52 UTC
FTBFS

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=15024939

+ MINGW32_CMAKE_ARGS=' -DINCLUDE_INSTALL_DIR:PATH=/usr/i686-w64-mingw32/sys-root/mingw/include -DCMAKE_VERBOSE_MAKEFILE=ON'
+ PATH=/usr/i686-w64-mingw32/bin:/usr/i686-w64-mingw32/sys-root/mingw/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin
+ /usr/bin/cmake -DCMAKE_TOOLCHAIN_FILE=/usr/share/mingw/toolchain-mingw32.cmake -DBUILD_SHARED_LIBS:BOOL=ON -DSYSCONF_INSTALL_DIR:PATH=/usr/i686-w64-mingw32/sys-root/mingw/etc -DSHARE_INSTALL_PREFIX:PATH=/usr/i686-w64-mingw32/sys-root/mingw/share -DCMAKE_INSTALL_PREFIX:PATH=/usr/i686-w64-mingw32/sys-root/mingw -DCMAKE_INSTALL_LIBDIR:PATH=/usr/i686-w64-mingw32/sys-root/mingw/lib -DINCLUDE_INSTALL_DIR:PATH=/usr/i686-w64-mingw32/sys-root/mingw/include -DCMAKE_VERBOSE_MAKEFILE=ON -DBUILD_STATIC_LIBS=ON ..
CMake Error: The source directory "/builddir/build/BUILD/qtspell-0.8.1/build_qt4" does not appear to contain CMakeLists.txt.

Comment 5 Sandro Mani 2016-07-26 20:50:06 UTC
Mh sorry managed to upload a wrong SRPM, re-uploaded the correct one.

http://koji.fedoraproject.org/koji/taskinfo?taskID=15026089

Comment 6 Raphael Groner 2016-07-29 10:55:15 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines                                          
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: mingw32-qtspell-qt4, mingw32-qtspell-
  qt4-static, mingw32-qtspell-qt5, mingw32-qtspell-qt5-static,
  mingw64-qtspell-qt4, mingw64-qtspell-qt4-static, mingw64-qtspell-qt5,
  mingw64-qtspell-qt5-static. Illegal package name: mingw32-qtspell-qt4,
  mingw32-qtspell-qt5, mingw64-qtspell-qt4, mingw64-qtspell-qt5. Does not
  provide -static: mingw32-qtspell-qt4, mingw32-qtspell-qt5,
  mingw64-qtspell-qt4, mingw64-qtspell-qt5.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries
=> See also rpmlint output.
   Can you provide also -devel subpackages with header files? 
   pkgconfig(.pc) files (see below) should be in -devel subpackages.
- Recommendation: Enhance description of subpackages with the general
  description part you do for the (virtual) main package. That could be
  done via help from macros:

%global desc \
QtSpell adds spell-checking functionality to Qt's text widgets,\
using the enchant spell-checking library.

(...)

%description
%{desc}

%package -n mingw32-%{pkgname}-qt4
Summary:       MinGW Windows ${pkgname}-Qt4 library

%description -n mingw32-%{pkgname}-qt4
%{desc}
This package provides the %{summary}.

(etc. analogously)

- Recommendation: Add '%doc AUTHORS ChangeLog NEWS README.md' to
  subpackages. Those files hold some useful documentation. 

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later) GPL (v3 or later)", "GPL (v2 or later)",
     "Unknown or generated". 51 files have unknown license. Detailed output
     of licensecheck in /home/builder/fedora-review/1238385-mingw-
     qtspell/licensecheck.txt
=> OK. Script looks also at generated files in out-of-tree build folders.

[x]: License file installed when any subpackage combination is installed.
[?]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/x86_64-w64-mingw32/sys-
     root, /usr/i686-w64-mingw32/sys-root/mingw, /usr/x86_64-w64-mingw32,
     /usr/i686-w64-mingw32/sys-root/mingw/lib, /usr/i686-w64-mingw32,
     /usr/i686-w64-mingw32/sys-root, /usr/x86_64-w64-mingw32/sys-
     root/mingw, /usr/x86_64-w64-mingw32/sys-root/mingw/lib
=> Maybe this is a bug in mingw-filesystem.
   https://fedoraproject.org/wiki/Packaging:MinGW?rd=Packaging/MinGW#Naming_of_the_root_filesystem

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[?]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[?]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in mingw32
     -qtspell-qt4 , mingw32-qtspell-qt4-static , mingw32-qtspell-qt5 ,
     mingw32-qtspell-qt5-static , mingw64-qtspell-qt4 , mingw64-qtspell-
     qt4-static , mingw64-qtspell-qt5 , mingw64-qtspell-qt5-static
=> OK. Main package is not useful here cause of 32/64 and qt4/qt5 splits.

[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: The placement of pkgconfig(.pc) files are correct.
     Note: mingw32-qtspell-qt4 : /usr/i686-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/QtSpell-qt4.pc mingw32-qtspell-qt5 :
     /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/QtSpell-qt5.pc
     mingw64-qtspell-qt5 : /usr/x86_64-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/QtSpell-qt5.pc mingw64-qtspell-qt4 :
     /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/QtSpell-qt4.pc
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[?]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.18 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.18
INFO: Mock Version: 1.2.18
Finish: chroot init
INFO: installing package(s): /home/builder/fedora-review/1238385-mingw-qtspell/results/mingw64-qtspell-qt5-0.8.1-2.fc25.noarch.rpm /home/builder/fedora-review/1238385-mingw-qtspell/results/mingw32-qtspell-qt5-static-0.8.1-2.fc25.noarch.rpm /home/builder/fedora-review/1238385-mingw-qtspell/results/mingw64-qtspell-qt5-static-0.8.1-2.fc25.noarch.rpm /home/builder/fedora-review/1238385-mingw-qtspell/results/mingw64-qtspell-qt4-0.8.1-2.fc25.noarch.rpm /home/builder/fedora-review/1238385-mingw-qtspell/results/mingw32-qtspell-qt5-0.8.1-2.fc25.noarch.rpm /home/builder/fedora-review/1238385-mingw-qtspell/results/mingw32-qtspell-qt4-0.8.1-2.fc25.noarch.rpm /home/builder/fedora-review/1238385-mingw-qtspell/results/mingw64-qtspell-qt4-static-0.8.1-2.fc25.noarch.rpm /home/builder/fedora-review/1238385-mingw-qtspell/results/mingw32-qtspell-qt4-static-0.8.1-2.fc25.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 25 --disableplugin=local --setopt=deltarpm=false install /home/builder/fedora-review/1238385-mingw-qtspell/results/mingw64-qtspell-qt5-0.8.1-2.fc25.noarch.rpm /home/builder/fedora-review/1238385-mingw-qtspell/results/mingw32-qtspell-qt5-static-0.8.1-2.fc25.noarch.rpm /home/builder/fedora-review/1238385-mingw-qtspell/results/mingw64-qtspell-qt5-static-0.8.1-2.fc25.noarch.rpm /home/builder/fedora-review/1238385-mingw-qtspell/results/mingw64-qtspell-qt4-0.8.1-2.fc25.noarch.rpm /home/builder/fedora-review/1238385-mingw-qtspell/results/mingw32-qtspell-qt5-0.8.1-2.fc25.noarch.rpm /home/builder/fedora-review/1238385-mingw-qtspell/results/mingw32-qtspell-qt4-0.8.1-2.fc25.noarch.rpm /home/builder/fedora-review/1238385-mingw-qtspell/results/mingw64-qtspell-qt4-static-0.8.1-2.fc25.noarch.rpm /home/builder/fedora-review/1238385-mingw-qtspell/results/mingw32-qtspell-qt4-static-0.8.1-2.fc25.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: mingw32-qtspell-qt4-0.8.1-2.fc25.noarch.rpm
          mingw32-qtspell-qt4-static-0.8.1-2.fc25.noarch.rpm
          mingw32-qtspell-qt5-0.8.1-2.fc25.noarch.rpm
          mingw32-qtspell-qt5-static-0.8.1-2.fc25.noarch.rpm
          mingw64-qtspell-qt4-0.8.1-2.fc25.noarch.rpm
          mingw64-qtspell-qt4-static-0.8.1-2.fc25.noarch.rpm
          mingw64-qtspell-qt5-0.8.1-2.fc25.noarch.rpm
          mingw64-qtspell-qt5-static-0.8.1-2.fc25.noarch.rpm
          mingw-qtspell-0.8.1-2.fc25.src.rpm
mingw32-qtspell-qt4.noarch: W: spelling-error Summary(en_US) pkgname -> pkg name, pkg-name, nickname
mingw32-qtspell-qt4.noarch: W: spelling-error %description -l en_US pkgname -> pkg name, pkg-name, nickname
mingw32-qtspell-qt4.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libqtspell-qt4.dll.a
mingw32-qtspell-qt4.noarch: W: no-documentation
mingw32-qtspell-qt4.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/QtSpell-qt4.pc
mingw32-qtspell-qt4.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/QtSpell-qt4/QtSpell.hpp
mingw32-qtspell-qt4.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libqtspell-qt4.dll.a
mingw32-qtspell-qt4.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw32-qtspell-qt4-static.noarch: W: spelling-error Summary(en_US) pkgname -> pkg name, pkg-name, nickname
mingw32-qtspell-qt4-static.noarch: W: spelling-error %description -l en_US pkgname -> pkg name, pkg-name, nickname
mingw32-qtspell-qt4-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libqtspell-qt4.a
mingw32-qtspell-qt4-static.noarch: W: no-documentation
mingw32-qtspell-qt4-static.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw32-qtspell-qt5.noarch: W: spelling-error Summary(en_US) pkgname -> pkg name, pkg-name, nickname
mingw32-qtspell-qt5.noarch: W: spelling-error %description -l en_US pkgname -> pkg name, pkg-name, nickname
mingw32-qtspell-qt5.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libqtspell-qt5.dll.a
mingw32-qtspell-qt5.noarch: W: no-documentation
mingw32-qtspell-qt5.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libqtspell-qt5.dll.a
mingw32-qtspell-qt5.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/QtSpell-qt5/QtSpell.hpp
mingw32-qtspell-qt5.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/QtSpell-qt5.pc
mingw32-qtspell-qt5.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw32-qtspell-qt5-static.noarch: W: spelling-error Summary(en_US) pkgname -> pkg name, pkg-name, nickname
mingw32-qtspell-qt5-static.noarch: W: spelling-error %description -l en_US pkgname -> pkg name, pkg-name, nickname
mingw32-qtspell-qt5-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libqtspell-qt5.a
mingw32-qtspell-qt5-static.noarch: W: no-documentation
mingw32-qtspell-qt5-static.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw64-qtspell-qt4.noarch: W: spelling-error Summary(en_US) pkgname -> pkg name, pkg-name, nickname
mingw64-qtspell-qt4.noarch: W: spelling-error %description -l en_US pkgname -> pkg name, pkg-name, nickname
mingw64-qtspell-qt4.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libqtspell-qt4.dll.a
mingw64-qtspell-qt4.noarch: W: no-documentation
mingw64-qtspell-qt4.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/QtSpell-qt4.pc
mingw64-qtspell-qt4.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libqtspell-qt4.dll.a
mingw64-qtspell-qt4.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/QtSpell-qt4/QtSpell.hpp
mingw64-qtspell-qt4.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw64-qtspell-qt4-static.noarch: W: spelling-error Summary(en_US) pkgname -> pkg name, pkg-name, nickname
mingw64-qtspell-qt4-static.noarch: W: spelling-error %description -l en_US pkgname -> pkg name, pkg-name, nickname
mingw64-qtspell-qt4-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libqtspell-qt4.a
mingw64-qtspell-qt4-static.noarch: W: no-documentation
mingw64-qtspell-qt4-static.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw64-qtspell-qt5.noarch: W: spelling-error Summary(en_US) pkgname -> pkg name, pkg-name, nickname
mingw64-qtspell-qt5.noarch: W: spelling-error %description -l en_US pkgname -> pkg name, pkg-name, nickname
mingw64-qtspell-qt5.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libqtspell-qt5.dll.a
mingw64-qtspell-qt5.noarch: W: no-documentation
mingw64-qtspell-qt5.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/QtSpell-qt5.pc
mingw64-qtspell-qt5.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/QtSpell-qt5/QtSpell.hpp
mingw64-qtspell-qt5.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libqtspell-qt5.dll.a
mingw64-qtspell-qt5.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw64-qtspell-qt5-static.noarch: W: spelling-error Summary(en_US) pkgname -> pkg name, pkg-name, nickname
mingw64-qtspell-qt5-static.noarch: W: spelling-error %description -l en_US pkgname -> pkg name, pkg-name, nickname
mingw64-qtspell-qt5-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libqtspell-qt5.a
mingw64-qtspell-qt5-static.noarch: W: no-documentation
mingw64-qtspell-qt5-static.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw-qtspell.src: W: invalid-url Source0: https://github.com/manisandro/qtspell/releases/download/0.8.1/qtspell-0.8.1.tar.xz HTTP Error 403: Forbidden
9 packages and 0 specfiles checked; 8 errors, 45 warnings.




Requires
--------
mingw32-qtspell-qt4 (rpmlib, GLIBC filtered):
    mingw32(kernel32.dll)
    mingw32(libenchant.dll)
    mingw32(libgcc_s_sjlj-1.dll)
    mingw32(libintl-8.dll)
    mingw32(libstdc++-6.dll)
    mingw32(msvcrt.dll)
    mingw32(qtcore4.dll)
    mingw32(qtgui4.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config

mingw32-qtspell-qt5 (rpmlib, GLIBC filtered):
    mingw32(kernel32.dll)
    mingw32(libenchant.dll)
    mingw32(libgcc_s_sjlj-1.dll)
    mingw32(libintl-8.dll)
    mingw32(libstdc++-6.dll)
    mingw32(msvcrt.dll)
    mingw32(qt5core.dll)
    mingw32(qt5gui.dll)
    mingw32(qt5widgets.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config
    mingw32-qt5-qttranslations

mingw64-qtspell-qt4-static (rpmlib, GLIBC filtered):
    mingw64-qtspell

mingw64-qtspell-qt5-static (rpmlib, GLIBC filtered):
    mingw64-qtspell-qt5

mingw32-qtspell-qt5-static (rpmlib, GLIBC filtered):
    mingw32-qtspell-qt5

mingw64-qtspell-qt5 (rpmlib, GLIBC filtered):
    mingw64(kernel32.dll)
    mingw64(libenchant.dll)
    mingw64(libgcc_s_seh-1.dll)
    mingw64(libintl-8.dll)
    mingw64(libstdc++-6.dll)
    mingw64(msvcrt.dll)
    mingw64(qt5core.dll)
    mingw64(qt5gui.dll)
    mingw64(qt5widgets.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config
    mingw64-qt5-qttranslations

mingw64-qtspell-qt4 (rpmlib, GLIBC filtered):
    mingw64(kernel32.dll)
    mingw64(libenchant.dll)
    mingw64(libgcc_s_seh-1.dll)
    mingw64(libintl-8.dll)
    mingw64(libstdc++-6.dll)
    mingw64(msvcrt.dll)
    mingw64(qtcore4.dll)
    mingw64(qtgui4.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config

mingw32-qtspell-qt4-static (rpmlib, GLIBC filtered):
    mingw32-qtspell



Provides
--------
mingw32-qtspell-qt4:
    mingw32(libqtspell-qt4-0.dll)
    mingw32-qtspell-qt4

mingw32-qtspell-qt5:
    mingw32(libqtspell-qt5-0.dll)
    mingw32-qtspell-qt5

mingw64-qtspell-qt4-static:
    mingw64-qtspell-qt4-static

mingw64-qtspell-qt5-static:
    mingw64-qtspell-qt5-static

mingw32-qtspell-qt5-static:
    mingw32-qtspell-qt5-static

mingw64-qtspell-qt5:
    mingw64(libqtspell-qt5-0.dll)
    mingw64-qtspell-qt5

mingw64-qtspell-qt4:
    mingw64(libqtspell-qt4-0.dll)
    mingw64-qtspell-qt4

mingw32-qtspell-qt4-static:
    mingw32-qtspell-qt4-static



Source checksums
----------------
https://github.com/manisandro/qtspell/releases/download/0.8.1/qtspell-0.8.1.tar.xz :
  CHECKSUM(SHA256) this package     : 5d316d654ce9177d3fc92c90cff3297098e9a433711867dacd57382cdccfbd83
  CHECKSUM(SHA256) upstream package : 5d316d654ce9177d3fc92c90cff3297098e9a433711867dacd57382cdccfbd83


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1238385
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Raphael Groner 2016-07-29 10:57:56 UTC
APPROVED

According to Packaging/MinGW ¹ I don't find any blockers, all findings by fedora-review are exceptions. Please notice my hints.

¹ https://fedoraproject.org/wiki/Packaging:MinGW

Comment 8 Sandro Mani 2016-07-30 09:56:04 UTC
Thanks for the review!

Remark concerning your observations:
- mingw-packages are basically devel only packages, hence they have no devel subpackage (they are used for developing application, they have no runtime role)
- For the same reason, %doc is kept minimal, the full description and documentation is in the native package, see
https://fedoraproject.org/wiki/Packaging:MinGW?rd=Packaging/MinGW#Files_which_are_already_part_of_native_packages
- The installation failure was an incorrect requires, fixed.

Comment 9 Gwyn Ciesla 2016-08-01 13:52:04 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/mingw-qtspell

Comment 10 Fedora Update System 2016-08-02 09:33:27 UTC
mingw-qtspell-0.8.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2cb7f5f543

Comment 11 Fedora Update System 2016-08-02 09:33:33 UTC
mingw-qtspell-0.8.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-71177eda7a

Comment 12 Fedora Update System 2016-08-02 21:52:22 UTC
mingw-qtspell-0.8.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-71177eda7a

Comment 13 Fedora Update System 2016-08-02 21:53:30 UTC
mingw-qtspell-0.8.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2cb7f5f543

Comment 14 Fedora Update System 2016-08-10 23:23:42 UTC
mingw-qtspell-0.8.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-08-11 02:24:18 UTC
mingw-qtspell-0.8.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.